* {
    box-sizing: border-box;
}

html, body {
    direction: rtl;
    margin: 0;
    padding: 0;
    font-family: Rubik, Heebo, Assistant;
    font-size: 16px;
    background: var(--bg);
    height: auto;
    min-height: 100vh;
    color: var(--primary-color);
}

a {
    color: var(--link-color);
    text-decoration: none;
}

header {
    margin: 20px 0;
}

.header-container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.base-container {
    width: 100%;
    max-width: 1000px;
    margin: 20px auto;
    /* box-shadow: 0px 0px 29px -1px var(--softer-shadow);
         padding: 16px;
     */
    height: 300px;
}

.star-header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 15px;
    border-radius: 15px;
    padding: 15px;
    border-bottom: 1px solid #d6d9ed;
    background: linear-gradient(90deg,rgba(234, 243, 252, 1) 0%, rgba(255, 255, 255, 1) 22%);
}

.soft-shading {
    box-shadow: 0px 0px 29px -1px var(--main-shadow);
}

.star-header-div {
    width: 100%;
}

.star-header input {
    border: 1px solid var(--input-border);
    border-radius: 15px;
    padding: 10px;
    width: 100%;
    background: var(--input-bg);
}

.star-logo {
    display: flex;
    justify-content: end;
}

.star-logo img {
    width: 40%;
}

.top-avatar img {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 100%;
}

h2 {
    color: inherit;
    font-size: 30px;
    font-weight: 600;
    margin: 40px 0;
}

.hero-products {
    display: flex;
    gap: 20px;
    justify-content: space-between;
}

.star-product-card {
    width: 100%;
    height: 400px;
    border-radius: 15px;
    border: 3px solid white;
    box-shadow: 0px 0px 18px 5px var(--strong-shadow);
}

.card-gradient {
    background: linear-gradient(178deg,rgba(234, 243, 252, 0) 0%, rgba(255, 255, 255, 1) 100%), url(/images/prod-gradient-type1.jpg);
    background-size: cover;
}

.card-gradient:nth-child(even) {
    background: linear-gradient(178deg,rgba(234, 243, 252, 0) 0%, rgba(255, 255, 255, 1) 100%), url(/images/prod-gradient-type2.jpg);
}

.card-flex {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.star-product-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.on-card {
    background: rgba(255, 255, 255, 0.87);
    border-radius: 15px;
    box-shadow: 0px 0px 8px -1px rgba(49, 61, 140, 0.35);
    width: calc(100% - 16px);
    height: 130px;
    min-height: 130px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid white;
}

.on-card h2 {
    font-size: 18px;
}

.add-padding {
    margin: 8px;
}